Bug 206525 - Recently introduced bug affects display of Java streaming video
Recently introduced bug affects display of Java streaming video
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 16:57 EDT by david schuller
Modified: 2008-05-06 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:20:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X config file xorg.conf (3.58 KB, application/octet-stream)
2007-01-02 14:22 EST, david schuller
no flags Details
X log for 6.5.8 (55.93 KB, text/plain)
2007-01-02 14:24 EST, david schuller
no flags Details
X log for 6.5.7 (52.39 KB, text/plain)
2007-01-02 14:25 EST, david schuller
no flags Details
X log with no xorg.conf (58.25 KB, text/plain)
2007-01-02 14:27 EST, david schuller
no flags Details
Source file for streaming video calls (5.83 KB, text/x-c++src)
2007-01-02 14:31 EST, david schuller
no flags Details
test app in C that shows difference (8.59 KB, text/x-csrc)
2007-01-11 21:36 EST, david schuller
no flags Details
Other test program that does not display problem (8.52 KB, text/x-csrc)
2007-01-11 21:41 EST, david schuller
no flags Details
Cleaned up test app for various formats (10.37 KB, text/x-csrc)
2007-01-12 15:12 EST, david schuller
no flags Details
gcc -o testxv_yuv testxv_yuv.c -m32 -L/usr/lib -lX11 -lXext -lXv (11.59 KB, text/x-csrc)
2007-01-18 16:37 EST, david schuller
no flags Details

  None (edit)
Description david schuller 2006-09-14 16:57:33 EDT
Description of problem:
Display of streaming video for Java application bad. Only portion of image
displayed, colors wrong. Suspect mismatch in number of bits somewhere.
Application uses libXv calls to create window, display streaming video within it.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.5.8.0-1.x86_64.rpm

How reproducible:
Every time when the 6.5.8 radeon driver is in use. Application displayed fine on
earlier versions of Fedora from FC2 up through FC5 with
xorg-x11-drv-ati-6.5.7.3-4.x86_64.rpm

Steps to Reproduce:
1. install FC5 with xorg-x11-drv-ati-6.5.8.0-1.x86_64.rpm
2. run my Java application
3.
  
Actual results:
Displays only a portion of the video, enlarged, colors are washed out.

Expected results:
Correct sized image with correct colors.

Additional info:
Application displays fine on a different machine with exact same FC5 software
level, nVidia card and "nv" driver. Graphics card on the affected machine is a
Radeon 9600. Problem also reproducible on a machine with a Radeon X700 Pro card
and the same driver. Problem being successfully circumvented by forced
installation of earlier driver in xorg-x11-drv-ati-6.5.7.3-4.x86_64.rpm
Comment 1 david schuller 2006-09-14 17:18:49 EDT
The application is specifically using the i386 version of libXv.
Comment 2 Matěj Cepl 2006-12-27 11:28:48 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

The last thing -- could you please attach an example of java application (or URL
to the one), which manifests this bug, please?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 david schuller 2007-01-02 14:22:09 EST
Created attachment 144662 [details]
X config file xorg.conf

Dual monitor desktop
Comment 4 david schuller 2007-01-02 14:24:07 EST
Created attachment 144663 [details]
X log for 6.5.8

For ATI driver xorg-x11-drv-ati-6.5.8.0-1.x86_64.rpm
displays streaming video bug
Comment 5 david schuller 2007-01-02 14:25:44 EST
Created attachment 144664 [details]
X log for 6.5.7

With ATI driver  xorg-x11-drv-ati-6.5.7.3-4.x86_64.rpm, the streaming video
application works OK. This is reproducible upon updating or backdating this
single package.
Comment 6 david schuller 2007-01-02 14:27:18 EST
Created attachment 144665 [details]
X log with no xorg.conf

With no xorg.conf and driver xorg-x11-drv-ati-6.5.8.0-1.x86_64.rpm, X fails to
come up properly. Console in text mode.
Comment 7 david schuller 2007-01-02 14:31:59 EST
Created attachment 144666 [details]
Source file for streaming video calls

I cannot supply a test application which illustrates the bug. The complete
application is huge, requiring such things as a FireWire camera and
communication with hardware-control servers. The X video streaming calls are in
this C++ file. Data is in array xv_image. Calls to XvCreateImage, XvPutImage,
&tc.
Apologies for my lack of experience, I inherited this application from someone
else.
Comment 8 david schuller 2007-01-11 21:36:58 EST
Created attachment 145420 [details]
test app in C that shows difference

gcc -o testxv_yuv  testxv_yuv.c -m32 -L/usr/lib -lX11 -lXext -lXv
This test program shows up differently in current radeon driver relative to
non-radeon drivers and older radeon driver. Problem may be specific to decoding
of UYVY data, which is what I happen to be using. (It comes that way from my
FireWire camera). My tests were all run on 32 bit distributions. The problem
persists in the xorg-x11-drv-ati-6.6.3-1.fc6 driver in FC6 (i386). Image should
be pink and green diagonal stripes, on the bad driver, colors are shifted and
stripes are twice as wide in the horizontal.
Comment 9 david schuller 2007-01-11 21:41:03 EST
Created attachment 145421 [details]
Other test program that does not display problem

gcc -o testxv  testxv.c -m32 -L/usr/lib -lX11 -lXext -lXv
This test program is very similar, but uses a different encoding
(GUID_YUV12_PLANAR). Green moire blocks, 4 horizontal and 3 vertical, shifting
over time. This program seems to run OK on xorg-x11-drv-ati-6.6.3-1.fc6 so the
problem may be specific to UYVY encoding.

Java is apparently not involved, the problem is with Xvideo support in the
radeon driver.
Comment 10 david schuller 2007-01-12 15:12:30 EST
Created attachment 145483 [details]
Cleaned up test app for various formats

gcc -o testxv_yuv  testxv_yuv.c -m32 -L/usr/lib -lX11 -lXext -lXv
./testxv_yuv UYVY
This program allows testing of various image data formats for Xvideo streaming.
Only UYVY seems to be messed on recent radeon drivers. Other formats tested:
YV12, I420, YUY2, all look the same on recent radeon, older radeon, and an
Intel 945GM. Bug was introduced in FC5: xorg-x11-drv-ati-6.5.8.0-1 and persists
through xorg-x11-drv-ati-6.6.3-1.fc6
Comment 11 david schuller 2007-01-18 16:37:05 EST
Created attachment 145944 [details]
gcc -o testxv_yuv  testxv_yuv.c -m32 -L/usr/lib -lX11 -lXext -lXv

Same as 145483, but display is more colorful.
Comment 12 Bug Zapper 2008-04-03 23:43:40 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Bug Zapper 2008-05-06 12:20:20 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.